## org.apache.lucene.queryparser.xml.builders
Class DisjunctionMaxQueryBuilder

    java.lang.Object
      org.apache.lucene.queryparser.xml.builders.DisjunctionMaxQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class DisjunctionMaxQueryBuilder

extends Object
implements QueryBuilder

Builder for `DisjunctionMaxQuery`

Constructor Summary
`DisjunctionMaxQueryBuilder(QueryBuilder factory)`

Method Summary
`Query` `getQuery(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisjunctionMaxQueryBuilder

    public DisjunctionMaxQueryBuilder(QueryBuilder factory)

Method Detail

### getQuery

    public Query getQuery(Element e)
                   throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.